package com.qmth.themis.business.enums;

/**
 * @Description: 系统操作 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/2
 */
public enum SystemOperationEnum {

    LOGIN(1, "登录"),

    LOGOUT(2, "注销");

    private int id;

    private String code;

    private SystemOperationEnum(int id, String code) {
        this.id = id;
        this.code = code;
    }

    public int getId() {
        return id;
    }

    public String getCode() {
        return code;
    }
}
