package com.qmth.themis.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.themis.business.entity.TEExamActivity;

import java.util.Map;

/**
 * @Description: 考试场次 服务类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
public interface TEExamActivityService extends IService<TEExamActivity> {

    /**
     * 表是否存在
     *
     * @param tableName
     * @param schema
     * @return
     */
    public Integer existTable(String tableName, String schema);

    /**
     * 删除表
     *
     * @param tableName
     */
    public void dropTable(String tableName);

    /**
     * 创建表
     *
     * @param tableName
     */
    public void createNewTable(String tableName);

    /**
     * 新插数据
     *
     * @param tableName
     * @param teExamActivity
     */
    public void insertInfo(String tableName, TEExamActivity teExamActivity);

    /**
     * 查询所有数据
     *
     * @param iPage
     * @param tableName
     * @return
     */
    public IPage<TEExamActivity> selectListPage(IPage<Map> iPage, String tableName);
}
