package com.qmth.themis.exam.api;

import com.qmth.themis.business.constant.SystemConstant;
import com.qmth.themis.business.entity.TBUser;
import com.qmth.themis.business.entity.TEExamStudentLog;
import com.qmth.themis.business.service.TBUserService;
import com.qmth.themis.common.util.Result;
import com.qmth.themis.common.util.ResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 考生轨迹 前端控制器
 * @Param:
 * @returnß:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Api(tags = "考生轨迹Controller")
@RestController
@RequestMapping("/${prefix.url.exam}/examStudentLog")
public class TEExamStudentLogController {
    private final static Logger log = LoggerFactory.getLogger(TEExamStudentLogController.class);

    @Resource
    TBUserService tbUserService;

    @ApiOperation(value = "保存日志接口")
    @RequestMapping(value = "/saveLog", method = RequestMethod.POST)
    @ApiResponses({@ApiResponse(code = 200, message = "用户信息", response = TEExamStudentLog.class)})
    public Result saveLog(
//            @ApiParam(value = "日志信息", required = true) @RequestBody TEExamStudentLog tEExamStudentLog
    ) {
        log.info("saveLog is come in");
        Map<String, Object> map = new HashMap<>();
//        return ResultUtil.ok(SystemConstant.SUCCESS);
        return ResultUtil.ok(map);
    }
}
