package com.qmth.themis.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TBUserMapper;
import com.qmth.themis.business.entity.TBUser;
import com.qmth.themis.business.service.TBUserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description: 用户 服务实现类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Service
public class TBUserServiceImpl extends ServiceImpl<TBUserMapper, TBUser> implements TBUserService {

    @Resource
    TBUserMapper tbUserMapper;

    /**
     * 用户查询
     *
     * @param id
     * @param loginName
     * @param name
     * @param role
     * @param enable
     * @return
     */
    @Override
    public List<TBUser> userQuery(Long id, String loginName, String name, String role, Integer enable) {
        return tbUserMapper.userQuery(id, loginName, name, role, enable);
    }
}
